# FIXME ac3dec ld10k1 qlo10k1 seq pcxhrloader
%ifarch ppc ppc64
# sb16_csp doesn't build on PPC; see bug #219010
%define buildtools  as10k1 echomixer envy24control hdspconf hdspmixer rmedigicontrol sbiload sscape_ctl us428control 
%else
%define buildtools as10k1 echomixer envy24control hdspconf hdspmixer rmedigicontrol sbiload sb16_csp sscape_ctl us428control  
%endif
%define majver %(echo %version | cut -d. -f1-3)
%define buildfirmw hdsploader mixartloader  usx2yloader vxloader

Name:          alsa-tools
Version:       1.2.5
Release:       1mamba
Summary:       Specialist tools for ALSA
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.alsa-project.org/wiki/Main_Page
Source0:       ftp://ftp.alsa-project.org/pub/tools/alsa-tools-%{version}.tar.bz2
Source1:       90-alsa-tools-firmware.rules
Source2:       echomixer.png
Source3:       envy24control.png
Source4:       alsa-tools-echomixer.desktop
Source5:       alsa-tools-envy24control.desktop
Patch0:        %{name}-1.0.20-glibc2.10.patch
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXcursor-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXft-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrender-devel
BuildRequires: libalsa-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libfltk-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk2-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libpango-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: desktop-file-utils
License:       GPL

%description
This package contains several specialist tools for use with ALSA, including a number of programs that provide access to special hardware facilities on certain sound cards.

* as10k1 - AS10k1 Assembler
%ifnarch ppc ppc64
* cspctl - Sound Blaster 16 ASP/CSP control program
%endif
* sbiload - An OPL2/3 FM instrument loader for ALSA sequencer
* sscape_ctl - ALSA SoundScape control utility
* us428control - Control tool for Tascam 428

%package firmware
Summary:       ALSA tools for uploading firmware to some soundcards
Group:         System/Tools
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description firmware
This package contains tools for flashing firmware into certain sound cards.

The following tools are available:

* hdsploader   - for RME Hammerfall DSP cards
* mixartloader - for Digigram miXart soundcards
* vxloader     - for Digigram VX soundcards
* usx2yloader  - second phase firmware loader for Tascam USX2Y USB soundcards

%package X11
Summary:       Specialist graphical tools for ALSA based on X11
Group:         Graphical Desktop/Applications/Multimedia
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description X11
This package contains several specialist graphical tools for use with ALSA and X11, including a number of programs that provide access to special hardware facilities on certain sound cards.

* echomixer - Mixer for Echo Audio (indigo) devices
* envy24control - Control tool for Envy24 (ice1712) based soundcards
* hdspmixer - Mixer for the RME Hammerfall DSP cards
* rmedigicontrol - Control panel for RME Hammerfall cards

%prep

%setup -q
#%patch0 -p0
# removed the "ac3dec" directory, due
# to legal concerns that the contents might be subject to patent claims
rm -rf ac3dec

%build
mv seq/sbiload . 
rm -rf seq
for i in %{buildtools} %{buildfirmw}
do
  cd $i; %configure
  %make || exit 1
  cd ..
done

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/applications

for i in %{buildtools} %{buildfirmw}
do
  case $i in
    echomixer)
( %makeinstall -C echomixer ) || exit 1
      ;;
    envy24control)
( %makeinstall -C envy24control ) || exit 1
      ;;
    hdspconf)
( %makeinstall -C hdspconf  \
                         pixmapdir=%{_datadir}/pixmaps \
                         desktopdir=%{_datadir}/applications ) || exit 1
      ;;
    hdspmixer)
( %makeinstall -C hdspmixer \
                         pixmapdir=%{_datadir}/pixmaps \
                         desktopdir=%{_datadir}/applications ) || exit 1
      ;;
    usx2yloader)
( %makeinstall -C usx2yloader \
                         hotplugdir=%{_sysconfdir}/hotplug/usb  ) || exit 1
      ;;
    *) (cd $i ; %makeinstall) || exit 1
  esac

  if [[ -s "${i}"/README ]]
  then
    if [[ ! -d "%{buildroot}%{_docdir}/%{name}-%{version}/${i}" ]]
      then
        mkdir -p "%{buildroot}%{_docdir}/%{name}-%{version}/${i}"
    fi
    cp "${i}"/README "%{buildroot}%{_docdir}/%{name}-%{version}/${i}"
  fi
  if [[ -s "${i}"/COPYING ]]
  then
    if [[ ! -d "%{buildroot}%{_docdir}/%{name}-%{version}/${i}" ]]
    then
      mkdir -p "%{buildroot}%{_docdir}/%{name}-%{version}/${i}"
    fi
    cp "${i}"/COPYING "%{buildroot}%{_docdir}/%{name}-%{version}/${i}"
  fi
done

# convert hotplug stuff to udev
rm -f %{buildroot}%{_sysconfdir}/hotplug/usb/tascam_fw.usermap
mkdir -p %{buildroot}/lib/udev
mv %{buildroot}%{_sysconfdir}/hotplug/usb/* %{buildroot}/lib/udev

mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d
install -m 644 %{S:1} %{buildroot}%{_sysconfdir}/udev/rules.d

install -m 644 %{S:2} %{buildroot}%{_datadir}/pixmaps
install -m 644 %{S:4} %{buildroot}%{_datadir}/applications/echomixer.desktop

install -m 644 %{S:3} %{buildroot}%{_datadir}/pixmaps
install -m 644 %{S:5} %{buildroot}%{_datadir}/applications/envy24control.desktop

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files X11
%defattr(-,root,root)
%{_bindir}/echomixer
%{_bindir}/envy24control
%{_bindir}/hdspmixer
%{_bindir}/rmedigicontrol
%{_datadir}/applications/*.desktop
%{_mandir}/man1/envy24control.1.gz
%doc %{_docdir}/%{name}-%{version}/echomixer
%doc %{_docdir}/%{name}-%{version}/envy24control
%doc %{_docdir}/%{name}-%{version}/hdspmixer
%doc %{_docdir}/%{name}-%{version}/rmedigicontrol

%files
%defattr(-,root,root)
%{_bindir}/as10k1
%{_bindir}/hdspconf
%{_bindir}/sbiload
%{_bindir}/sscape_ctl
%{_bindir}/us428control
%{_datadir}/icons/hicolor/48x48/apps/*.png
%{_datadir}/pixmaps/*.png
%{_datadir}/sounds/opl3/*.o3
%{_datadir}/sounds/opl3/*.sb
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/as10k1
%doc %{_docdir}/%{name}-%{version}/hdspconf
%doc %{_docdir}/%{name}-%{version}/sbiload
# sb16_csp stuff which is excluded for PPCx
%ifnarch ppc ppc64
%{_bindir}/cspctl
%{_mandir}/man1/cspctl.1.gz
%doc %{_docdir}/%{name}-%{version}/sb16_csp
%endif

%files firmware
%defattr(-,root,root)
%{_sysconfdir}/udev/rules.d/*.rules
/lib/udev/tascam_fpga
/lib/udev/tascam_fw
%{_bindir}/hdsploader
%{_bindir}/mixartloader
%{_bindir}/usx2yloader
%{_bindir}/vxloader
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/hdsploader
%doc %{_docdir}/%{name}-%{version}/mixartloader
%doc %{_docdir}/%{name}-%{version}/usx2yloader
%doc %{_docdir}/%{name}-%{version}/vxloader

%changelog
* Tue Jun 01 2021 Automatic Build System <autodist@mambasoft.it> 1.2.5-1mamba
- automatic version update by autodist

* Mon Feb 24 2020 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Mon Oct 22 2018 Automatic Build System <autodist@mambasoft.it> 1.1.7-1mamba
- automatic version update by autodist

* Fri Apr 20 2018 Automatic Build System <autodist@mambasoft.it> 1.1.6-1mamba
- automatic version update by autodist

* Thu Nov 16 2017 Automatic Build System <autodist@mambasoft.it> 1.1.5-1mamba
- automatic update by autodist

* Sun Jan 29 2017 Automatic Build System <autodist@mambasoft.it> 1.1.3-1mamba
- automatic version update by autodist

* Mon Nov 16 2015 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Wed Mar 18 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.29-1mamba
- update to 1.0.29

* Tue Jun 24 2014 Automatic Build System <autodist@mambasoft.it> 1.0.28-1mamba
- automatic version update by autodist

* Thu Apr 18 2013 Automatic Build System <autodist@mambasoft.it> 1.0.27-1mamba
- automatic version update by autodist

* Fri Sep 07 2012 Automatic Build System <autodist@mambasoft.it> 1.0.26.1-1mamba
- update to 1.0.26.1

* Fri Jan 27 2012 Automatic Build System <autodist@mambasoft.it> 1.0.25-1mamba
- automatic version update by autodist

* Sat Mar 19 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.24.1-1mamba
- update to 1.0.24.1

* Sun Oct 03 2010 Davide Madrisan <davide.madrisan@gmail.com> 1.0.23-2mamba
- update 90-alsa-tools-firmware.rules to fix udev warnings about a deprecated BUS directive

* Fri Jun 04 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.23-1mamba
- update to 1.0.23

* Sat Feb 20 2010 Automatic Build System <autodist@mambasoft.it> 1.0.22-1mamba
- automatic update by autodist

* Tue Oct 13 2009 Automatic Build System <autodist@mambasoft.it> 1.0.21-1mamba
- automatic update by autodist

* Mon Jun 08 2009 Automatic Build System <autodist@mambasoft.it> 1.0.20-1mamba
- automatic update by autodist

* Wed Jan 21 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.19-1mamba
- automatic update by autodist

* Tue Dec 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.18-2mamba
- created X11 subpackage for tools dependent on graphical server

* Fri Dec 19 2008 gil <puntogil@libero.it> 1.0.18-1mamba
- package created by autospec
